<?php
ini_set('post_max_size', '128M');
ini_set('upload_max_filesize', '128M');
ini_set('memory_limit', '256M');
set_time_limit(600);

	ini_set('include_path', "../.." . PATH_SEPARATOR . get_include_path());
	include("comunes/funciones/funciones_generales.php");

	include("comunes/funciones/funciones_bases_de_datos.php");
	include("comunes/estructuras_de_datos.php");
	include("comunes/globals.php");
	
	$nombre = dame_valor_variable_global("nombre");
	$nombre = iconv("UTF-8", "ISO-8859-1//TRANSLIT", $nombre);
	
	$nombre_original = dame_valor_variable_global("nombre_original");
	$nombre_original = iconv("UTF-8", "ISO-8859-1//TRANSLIT", $nombre_original);
	
	$condicion = dame_valor_variable_global("condicion", 0);
	$condicion = iconv("UTF-8", "ISO-8859-1//TRANSLIT", $condicion);
	
	$descripcion = dame_valor_variable_global("descripcion");
	$descripcion = iconv("UTF-8", "ISO-8859-1//TRANSLIT", $descripcion);
	
	$activo = dame_valor_variable_global("activo");
	$codigo = dame_valor_variable_global("codigo");
	$conexionBD = dame_valor_variable_global("conexionBD");
	

	$retorno = "ERROR";
	$cod_error = "";
	
	$sentencia_sql = "UPDATE catalogo
					 SET nombre = '$nombre', nombre_original = '$nombre_original', descripcion = '$descripcion', condicion = '$condicion', activo = '$activo'
					 WHERE codigo = $codigo";
	//echo($sentencia_sql);
	if ($conexionBD){
		if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
			$retorno = "CORRECTO";
		}
	}
	
	echo($retorno);

//Cuando todo haya pasado, nos desconectamos de la base de datos
cerrar_conexion_bd();


?>
